powered by Jive Software

Issues blocking 2.9.0 release


#1

Main issues:

SPARK-1914 Replace JxBrowser with JCEF it was decided to replace JxBrowser with JCEF after all.

SPARK-2069 Loses connection when someone is sending messages or typing notifications Spark is reconnecting when receiving messages (or probably typing notifications) from Spark clients.

SPARK-2065 Old plugins causing problems with chat windows after Smack 4.3 update this can cause problems upgrading from older versions.

SPARK-2068 Emoticons are not working after Smack 4.3 update

SPARK-1990 Remove PKI tab not sure if this is really critical or if it can be left as it is.

Other annoyances, broken stuff or nice to have things:

SPARK-1898 Roar shows popups for your own messages in the rooms

SPARK-1887 Shouldn’t show a toast popup for your own message in MUC related, but less critical as toasts are hopefully used less.

SPARK-1988 Bundled JRE is not updated when upgrading not critical, but we are declaring in the changelog, that it has been updated and it is not being updated during the upgrade.

SPARK-1979 Resources and sounds are missing from the package some users rely on sounds and it would be a dumb bug to leave in a release.

SPARK-2043 Not showing one character long messages hopefully rarely stumbled upon, but i’ve already seen a few reports and i even thought it was already fixed. But it’s not :slight_smile:

SPARK-1978 Documentation is missing in the package i don’t think we can distribute installers without the license. There is one on the website, but still.

SPARK-2019 Settings do not save when pressing Save or Apply (only after a restart) not a big issue for me as i rarely change settings, but could be an issue for new deployments.

SPARK-2070 Should automatically login after accepting a certificate would be nice to have.

SPARK-2038 Handle self-signed certificates more gracefully another nice to have before release feature, so it would make upgrading to 2.9.0 for companies with self-signed certificates easier (as Accept self-signed is not enabled by default anymore).


Certificate for Openfire and spark
First chat doesn't show
#2

@guus, @speedy, @Alameyo and all others interested in this. As it often comes up in chat and other places, i have compiled a list of issues that i think should be fixed before doing 2.9.0 release.


#3

Thanks for this, Wroot. It is good to put focus on things.

In one of our recent video calls, those that were present there agreed to not go forward with JxBrowser, as we are unwilling to meet some of their licensing-related demands. Instead, we’ll have another stab at JCEF. We’ve found that in @dwd, we have someone that has actual expertise in setting up builds of their code.


#4

I have used

                 <dependency>
			<groupId>org.bitbucket.johness</groupId>
			<artifactId>java-cef</artifactId>
			<version>49.87.win64.2</version>
		</dependency>

in our internal spark build and replaced the fastpath cobrowser, it works well if a little slow to start up.
not sure how well maintained the project is but could be a good starting point


#5

All artifacts there are for win, so probably won’t be enough to cover all platforms. Last update was 1 year ago. So, it’s not very active.


#6

As i say a starting point


#7

I think the certificate stuff, the one character message bug, and the toast roar stuff should probably be fixed before a release. The jxbrowers/jcef might take a while to work out, so perhaps we can add that back in with a dot release?


#8

This will probably also mean removal of ofmeet plugin.


#9

Changed first issue to SPARK-1914 Replace JxBrowser with JCEF


#10

you’ll prob hate this suggestion, but should we go ahead and see about upgrading smack to the latest version before trying to push out a release as well? I think flow is getting ready to release 4.3 sometime in the near future.


#11

Feel free to take a stab at it :slight_smile: But i’m not considering it a blocker. More like nice to have https://issues.igniterealtime.org/browse/SPARK-1843


#12

I stabbed at it, and killed it! :skull_and_crossbones: I’m trying to bribed @Paul_Schaub now! :slight_smile:

I agree, not a blocker, but Id hate to see spark get behind by 2 major smack versions.


#13

Added https://issues.igniterealtime.org/browse/SPARK-2065 to the list of blocking issues.


#14

Added Emoticons issue to the list. There is also a minor bug with Roar related to Smack 4.3 update, but it is not a blocker.


#15

Added another major issue (assuming after Smack update) https://issues.igniterealtime.org/browse/SPARK-2069


#16

Taking SPARK-2001 Add a popup for accepting certificate from a connection of the list.


#17

Added an issue with anonymous login to the list


#18

Anonymous login fixed with https://github.com/igniterealtime/Spark/pull/443